@import 'variables';

.samples {
  display: flex;
  justify-content: center;
  padding: 20px 80px 40px;

  &__wrapper {
    min-width: 600px;
    overflow-x: hidden;
  }
  &__header {
    line-height: 40px;
  }
  &__title {
    font-size: 16px;
    font-weight: bold;
  }
  &__remove-button {
    font-size: 14px;
    font-weight: bold;
    color: $primary-color;
    float: right;
    outline: none;
    user-select: none;
    &:hover {
      color: $secondary-color;
      cursor: pointer;
    }
  }
  &__separator {
    margin: 0 0 15px;
    border-color: rgba($gray-dark, 0.6);
  }
  &__table-wrapper {
    max-height: 595px;
    overflow: auto;
  }
}

.table {
  width: 100%;
  height: 595px;
  ::ng-deep .ag-root {
    border: 1px solid $default-border-color;
  }
  ::ng-deep .ag-header {
    background-color: $blue-darker;
    color: $white-text-color;
    font-size: 13px;
    font-weight: bold;
    border-bottom: 0;
  }
  ::ng-deep .ag-header-cell {
    border-right: 1px solid rgba($default-border-color, 0.5);
    &:last-child {
      border-right: none;
    }
    &::after {
      display: none;
    }
  }
  ::ng-deep .ag-header-cell-label {
    justify-content: center;
  }
  ::ng-deep .ag-cell {
    border-right: 1px solid rgba($gray-light, 0.5);
    text-align: center;
    &:last-child {
      border-right: none;
    }
  }
  ::ng-deep .ag-has-focus {
    & .ag-cell-focus.ag-cell-range-selected {
      background-color: $white;
      border: 2px solid $blue-darker;
    }
  }
  ::ng-deep .ag-body-horizontal-scroll {
    display: none;
  }
}

.control-block {
  padding: 20px;
  display: flex;
  flex-direction: row-reverse;
}
